toolzerhub API Docs

Get Instagram search typeahead

Instagram's search-bar typeahead: accounts, hashtags and places for one query, in a single response. Set type to return just one of the three. Not paginated — it returns the first screen of results, the same as the app's search bar.

3 credits / requestBilled only on success
GET
/v3/instagram/search

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

query*string

Text to get typeahead suggestions for.

Length1 <= length
type?string

Restrict results to one section of the typeahead.

Default"all"

Value in

  • "all"
  • "users"
  • "hashtags"
  • "places"
curl -X GET "https://example.com/v3/instagram/search?query=nasa" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "users": [      {        "property1": null,        "property2": null      }    ],    "hashtags": [      {        "property1": null,        "property2": null      }    ],    "places": [      {        "property1": null,        "property2": null      }    ],    "property1": null,    "property2": null  }}